WordPress.org

Make WordPress Core

Changeset 43182 for branches/4.9


Ignore:
Timestamp:
05/08/2018 08:56:42 PM (3 years ago)
Author:
azaozz
Message:

TinyMCE: fix setting of zIndex on the dialogs.

Props subrataemfluence, azaozz.
Merges [43181] to the 4.9 branch.
Fixes #43984.

Location:
branches/4.9
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • branches/4.9

  • branches/4.9/src/wp-admin/js/customize-controls.js

    r42811 r43182  
    92859285
    92869286        // Make sure TinyMCE dialogs appear above Customizer UI.
    9287         $( document ).one( 'wp-before-tinymce-init', function() {
    9288             if ( ! window.tinymce.ui.FloatPanel.zIndex || window.tinymce.ui.FloatPanel.zIndex < 500001 ) {
     9287        $( document ).one( 'tinymce-editor-setup', function() {
     9288            if ( window.tinymce.ui.FloatPanel && ( ! window.tinymce.ui.FloatPanel.zIndex || window.tinymce.ui.FloatPanel.zIndex < 500001 ) ) {
    92899289                window.tinymce.ui.FloatPanel.zIndex = 500001;
    92909290            }
Note: See TracChangeset for help on using the changeset viewer.